# Uses of Class
org.apache.sysds.hops.fedplanner.FederatedMemoTable.HopCommon

Packages that use FederatedMemoTable.HopCommon
Package
Description
org.apache.sysds.hops.fedplanner

## Uses of FederatedMemoTable.HopCommon in org.apache.sysds.hops.fedplanner

Methods in org.apache.sysds.hops.fedplanner with parameters of type FederatedMemoTable.HopCommon
Modifier and Type
Method
Description
`static double`
FederatedPlanCostEstimator.`computeHopCost(FederatedMemoTable.HopCommon hopCommon)`
Computes the cost associated with a given Hop node.
`static void`
FederatedPlanCostEstimator.`getChildCosts(FederatedMemoTable.HopCommon hopCommon, FederatedMemoTable memoTable, List<Hop> inputHops, double[][] childCumulativeCost, double[] childForwardingCost, List<Hop> lOUTOnlyinputHops, List<Double> lOUTOnlychildCumulativeCost, List<Double> lOUTOnlychildForwardingCost, List<Hop> fOUTOnlyinputHops, List<Double> fOUTOnlychildCumulativeCost, List<Double> fOUTOnlychildForwardingCost)`
Method parameters in org.apache.sysds.hops.fedplanner with type arguments of type FederatedMemoTable.HopCommon
Modifier and Type
Method
Description
`static void`
FederatedPlanCostEnumerator.`enumerateStatementBlock(StatementBlock sb, DMLProgram prog, FederatedMemoTable memoTable, Map<Long,FederatedMemoTable.HopCommon> hopCommonTable, Map<Long,List<Hop>> rewireTable, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, Set<Long> unRefTwriteSet, Set<String> fnStack, int numOfWorkers, Set<Long> visitedHops)`
Enumerates the statement block and updates the transient and memoization tables.
Constructors in org.apache.sysds.hops.fedplanner with parameters of type FederatedMemoTable.HopCommon
Modifier
Constructor
Description
``
`FedPlanVariants(FederatedMemoTable.HopCommon hopCommon, FEDInstruction.FederatedOutput fedOutType)`